Subject: [Monami6] Monami6 Draft Charter

From: "Junghoon Jee" <[email-masked]>
Date: Wed, 8 Jun 2005 16:27:07 +0900

Hello,

I got to know about this work through the MIP6 WG ML.
I think that this work is valuable and interesting.
I definitely in favor of having BoF in the upcoming PARIS meeting.

Let me share my first impression about looking at the current charter.
Please remember that I haven't gone deeply into this issue so I can make
somewhat useless questions or comments.
I kindly request your excuse for this. :-)

C1. I am questioning that whether this BoF will touch the multi-homing
issues as well.
       As I know, there is a separate multi6 WG. So I am wondering why this
new BoF should take care about multi6 issues.
      I guess that the similar situations can happen under considering one
interface with multi-homing characteristics.
      But I think that it would be better to draw the line with the work of
multi6.
      Are we planning to touch similar problems with the multi6 ? I guess
that definitely not.
      When, I looked at the problem statement documents lists through the
Monami website. I can find the documents with
      the title of ---multihoming---. So, I think that it would be better to
clear state the difference with the work of multi6 through the charter.

C2. What about touching the MIPv4 together ?
      I think that it would be helpful to take consideration about the MIPv4
terminal and routers with MIPv6 nodes. 
      Do you have any special reason to confine this interesting and
valuable work only to the MIPv6 ?
      Personally, I think that the solution for the MIPv4 multiple interface
terminals is urgently required in this time.

Here comes my specific questions and comments about the current charter.

Mobility support has been discussed at the IETF for years. Host mobility
support (support for single mobile hosts) has been discussed in the former
Mobile IP working group and is now being discussed in the MIP4 working group
(for IPv4), the MIP6 WG (for IPv6) and in the Mobshop WG (for optimization).
Network mobility is being discussed in the NEMO WG (for IPv6 only). For
IPv6, these WGs have output the Mobile IPv6 (and in some extent FMIPv6,
HMIPv6) and the NEMO Basic Support protocols. 

=> Junghoon>> minor typo : Mobshop WG -> MIPSHOP WG or Mobopts RG.

Combined, these protocols allow horizontal or vertical handoffs for mobile
hosts and routers. However, they are failing to meet one of the basic
requirement for their wide deployment in many of the contemplated scenarios.
This is the ability to connect to the Internet using multiple interfaces at
a given point in time. This feature is used either to recover from failures,
to enhance performance, or to meet user or applications needs and policies. 
There are numerous *issues*, and numerous solutions for each of these
issues. However, an overall problem statement has never been produced, and
independent solutions are focusing on only 1 or 2 issues at best. 

=> Junghoon>> *issues* are not explained at all. I guess that it is related
with the contemplated scenarios of the previous sentence. More elaboration
will be helpful because this point is the most 
important to have this BoF.

Issues for supporting mobile nodes with multiple interfaces in IPv6 should
be discussed independently from existing IETF Working Groups (presumably
MIP6, multi6, IPv6, NEMO, v6ops). 
It is therefore the objective of Monami6 to investigate the simultaneous
support of multiple interfaces for either mobile hosts operating Mobile IPv6
or mobile routers operating NEMO Basic Support. 

Where the effects of having multiple prefixes on a single interface is
identical to the effects of having multiple interfaces each with a single
prefix, 
Monami6 may consider a generalized approach to cater for multiple prefixes
available to a mobile node as well. 

=> Junghoon>> This part may be related with considering together with
multi-homing issues. Right ? If so, I think that clearly stating any
different aims with the multi6 WG would be helpful.

Our intent is first to discuss these issues based on our 3 problem statement
drafts (see below) and then to decide which issues should be addressed by
*Monami6 WG*, which ones should be addressed by other WGs, and which ones
should be investigated in a IRTF WG. 

=> Junghoon>> *Monami6 WG* -> Monami6 BoF ? :-)

The expected output of monami6 WG are: 

To document the motivations and design goals for supporting multiple
interfaces. 

>> Junghoon>> I agree that it is useful to work on this.

To produce a proper problem statement explaining what are the limitations
for *mobile nodes operating Mobile IPv6*, whether issues are specific to
Mobile IPv6 or not. 

>> Junghoon>> mobile nodes operating Mobile IPv6 => mobile nodes operating
Mobile IPv6 with multiple interfaces. ?

To identify a set of immediate issues that could be addressed in a
reasonable time frame based on the Mobile IPv6 problem statement here above
mentioned in combination with the NEMO problem statement defined by the NEMO
WG (draft-ietf-nemo-multihoming-issues).

>> Junghoon >> Don't we need a separate problem statement document about
multiple interface terminals/routers ?
 
To standardize solutions for these specific issues that work for both mobile
hosts operating Mobile IPv6 and mobile routers operating NEMO Basic Support.
Monami6 WG will develop Standard track specifications for the solutions. 

>> Junghoon >> Good.

To discuss with other working groups issues that concern fixed nodes as much
as mobile nodes, particularly the IPv6 WG 

>> Junghoon >> I can't quite understand what this means.

Regards,
Junghoon Jee 

Initial text proposed by Thierry Ernst, Ryuji Wakikawa, Nicolas Montavont,
Chanwah Ng.  

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6

---

From: Thierry Ernst <[email-masked]>
Date: Wed, 8 Jun 2005 17:38:54 +0900

Dear Junghoon,

> C1. I am questioning that whether this BoF will touch the multi-homing

It all depends how you define multihoming, right ? In our case, I think
we make it clear in the draft (but we may state this on the monami6 page
too) that a MH is multihomed when it has either multiple ifaces,
multiple HoAs, or multiple CoAs.  

> clear state the difference with the work of multi6 through the

OK, we will try to make this clearer. Anyway, multi6 (you meant shim6, I
guess, because multi6 is not chartered to produce solutions) is dealing
with other multihoming issues.  In Monami6 we are clearly targetting
mobile nodes already operating MIP6 or NEMO BS which have multiple paths
to their HA/CNs.

> terminals is urgently required in this time.

I heard this story before while creating NEMO WG.

This BOF proposition is about 6 (as the name stands for).

Most (if not all) the people presently involved in this BOF set up don't
have interest to work on MIP4 aspects.  We want to concentrate on the
IPv6 case, which, according to me, is very important if we want to see a
quick deployment of IPv6. 

I'm not excluding IPv4, but I will personaly not spend any of my time on
IPv4 issues. If people consider this as more important, I recommend to
consider bringing this issue in another WG or BOF. On the other hand, if
we are succesful in setting up a WG, solutions may be backported to MIP4
whenever applicable. 
 
> => Junghoon>> minor typo : Mobshop WG -> MIPSHOP WG or Mobopts RG.
Just  changed this.

> Combined, these protocols allow horizontal or vertical handoffs for
> mobile hosts and routers. However, they are failing to meet one of the
> basic requirement for their wide deployment in many of the
> contemplated scenarios. This is the ability to connect to the Internet
> using multiple interfaces at a given point in time. This feature is
> used either to recover from failures, to enhance performance, or to
> meet user or applications needs and policies. There are numerous
> *issues*, and numerous solutions for each of these issues. However, an
> overall problem statement has never been produced, and independent
> solutions are focusing on only 1 or 2 issues at best. 
> 
> => Junghoon>> *issues* are not explained at all. I guess that it is
> related with the contemplated scenarios of the previous sentence. More
> elaboration will be helpful because this point is the most 

OK, but we thought that explaining the issues in the charter may be
confusing, so our consensus (so far) is to point to the draft where the
issues are explained. Also, our first interest is to discuss such issues
with more people, so writing this on the charter may not be a good idea
at this point in time.

> Issues for supporting mobile nodes with multiple interfaces in IPv6
> should be discussed independently from existing IETF Working Groups
> (presumably MIP6, multi6, IPv6, NEMO, v6ops). 
> It is therefore the objective of Monami6 to investigate the
> simultaneous support of multiple interfaces for either mobile hosts
> operating Mobile IPv6 or mobile routers operating NEMO Basic Support. 
> 
> identical to the effects of having multiple interfaces each with a
> single prefix, 
> Monami6 may consider a generalized approach to cater for multiple
> prefixes available to a mobile node as well. 
> 

I'm not sure I catch what you mean in "This part ... issues".  Well, as
said before, we should add our definition of multihoming.

> Our intent is first to discuss these issues based on our 3 problem
> statement drafts (see below) and then to decide which issues should be
> addressed by*Monami6 WG*, which ones should be addressed by other WGs,
> and which ones should be investigated in a IRTF WG. 
> 

No, this text is a "WG Charter draft proposal, so of course we write
"WG". I think the title makes this clear.

> To produce a proper problem statement explaining what are the
> limitations for *mobile nodes operating Mobile IPv6*, whether issues
> are specific to Mobile IPv6 or not. 
> 

Not necessarily, please read draft-montavont. 
Anyway, I noticed we forgot to add the word "multihomed" in front of
"mobile nodes". Just did it.

> reasonable time frame based on the Mobile IPv6 problem statement here
> above mentioned in combination with the NEMO problem statement defined
> by the NEMO WG (draft-ietf-nemo-multihoming-issues).
> 

There ARE already 2 documents:
- for MIP6: please read draft-montavont
- for NEMO: please read draft-ietf-nemo-multihoming-issues

> To standardize solutions for these specific issues that work for both
> mobile hosts operating Mobile IPv6 and mobile routers operating NEMO
> Basic Support. Monami6 WG will develop Standard track specifications
> for the solutions. 
> 
> >> Junghoon >> Good.
> 
> To discuss with other working groups issues that concern fixed nodes
> as much as mobile nodes, particularly the IPv6 WG 
> 

We might remind this latter statement, as it could be confusing.

Thanks for your quick feedback,
Thierry

---

From: "Junghoon Jee" <[email-masked]>
Date: Wed, 8 Jun 2005 18:11:51 +0900

Dear Thierry,

> It all depends how you define multihoming, right ? In our 
> case, I think we make it clear in the draft (but we may state 
> this on the monami6 page
> too) that a MH is multihomed when it has either multiple 
> ifaces, multiple HoAs, or multiple CoAs.  

Okay, It would be better to describe the definition of multihoming in
Monami6.

> >        As I know, there is a separate multi6 WG. So I am 
> wondering why
> >        this
> >       I guess that the similar situations can happen under 
> considering
> >       one
> >       When, I looked at the problem statement documents 
> lists through
> >       the
> OK, we will try to make this clearer. Anyway, multi6 (you 
> meant shim6, I guess, because multi6 is not chartered to 
> produce solutions) is dealing with other multihoming issues.  
> In Monami6 we are clearly targetting mobile nodes already 
> operating MIP6 or NEMO BS which have multiple paths to their HA/CNs.

Good, please excuse my lacking of knowledge.
I personally think that it would be helpful to describe the different points
from the shim6 works.

> >       I think that it would be helpful to take 
> consideration about the
> >       MIPv4
> Most (if not all) the people presently involved in this BOF 
> set up don't have interest to work on MIP4 aspects.  We want 
> to concentrate on the
> IPv6 case, which, according to me, is very important if we 
> want to see a quick deployment of IPv6. 
> 
> IPv4 issues. If people consider this as more important, I 
> recommend to consider bringing this issue in another WG or 
> BOF. On the other hand, if we are succesful in setting up a 
> WG, solutions may be backported to MIP4 whenever applicable. 

Yes, I understand.

> OK, but we thought that explaining the issues in the charter 
> may be confusing, so our consensus (so far) is to point to 
> the draft where the issues are explained. Also, our first 
> interest is to discuss such issues with more people, so 
> writing this on the charter may not be a good idea at this 
> point in time.

So, what about changing the sentence like this ? Just my 2 cents :-)
There are numerous issues, and numerous solutions for each of these issues.
=> There are numerous issues and solutions related with supporting multiple
interface mobile nodes and routers.
or  There are numerous issues and solutions related with this.

> I'm not sure I catch what you mean in "This part ... issues". 
>  Well, as said before, we should add our definition of multihoming.

Good. 

> No, this text is a "WG Charter draft proposal, so of course 
> we write "WG". I think the title makes this clear.

Very sorry for this confusion.

> Not necessarily, please read draft-montavont. 

Okay, let me follow-up this.

> Anyway, I noticed we forgot to add the word "multihomed" in 
> front of "mobile nodes". Just did it.
> 
> 
> 

Again, let me follow-up these works.

--Junghoon

---

From: "Junghoon Jee" <[email-masked]>
Date: Wed, 8 Jun 2005 18:11:51 +0900

Dear Thierry,

Yes, I understand.

Good. 

--Junghoon

---

From: Thierry Ernst <[email-masked]>
Date: Wed, 15 Jun 2005 20:11:45 +0900

Dear all,

I've updated our proposed charter quite a lot based on the comments I
received.

See version 3 June 15 on: 
http://www.ietf.org/html.charters/nemo-charter.html

This is still far from perfect, but I added:

- some explanation about multihoming and a few more words about the main
issues, i.e. multiple path establishment, path selection, path
redirection (this is my own classification of the sub issues). This
should draw a line between what we want to do and site multihoming.

- split what the WG will do, will not do, and what is the output

- added the monami6 would work on a solution to register multiple CoAs
and to exchange policies between the MN and the HA

Thierry

On Wed, 8 Jun 2005 18:11:51 +0900
"Junghoon Jee" <[email-masked]> wrote:

> I personally think that it would be helpful to describe the different
> points from the shim6 works.
> 
> > > Combined, these protocols allow horizontal or vertical handoffs
> > > for mobile hosts and routers. However, they are failing to meet 
> > one of the 
> > > using multiple interfaces at a given point in time. This feature
> > > is used either to recover from failures, to enhance performance,
> > > or to meet user or applications needs and policies. There are
> > > numerous *issues*, and numerous solutions for each of these
> > > issues. 
> > However, an 
> > > => Junghoon>> *issues* are not explained at all. I guess that it
> > > is related with the contemplated scenarios of the previous 
> > sentence. More 
> There are numerous issues, and numerous solutions for each of these
> issues.=> There are numerous issues and solutions related with
> supporting multiple interface mobile nodes and routers.
> > > Issues for supporting mobile nodes with multiple interfaces in
> > > IPv6 should be discussed independently from existing IETF Working
> > > Groups (presumably MIP6, multi6, IPv6, NEMO, v6ops).
> > > simultaneous support of multiple interfaces for either mobile
> > > hosts operating Mobile IPv6 or mobile routers operating NEMO 
> > Basic Support.
> > >

---

From: "Junghoon Jee" <[email-masked]>
Date: Thu, 16 Jun 2005 09:15:32 +0900

Dear Thierry,
Please see my comments inline. 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Thierry Ernst
> Sent: Wednesday, June 15, 2005 8:12 PM
> To: ml-monami6
> Subject: Re: [Monami6] Monami6 Draft Charter
> 
> 
> 
> Dear all,
> 
> I've updated our proposed charter quite a lot based on the 
> comments I received.
> 

I guess you tried to point out the MONAMI6 page,
http://www.nautilus6.org/ietf/monami6-charter.html    :-)

The enhanced charter is so clear to me.
Thank you very much for your efforts.

Regards,
--Junghoon

> - some explanation about multihoming and a few more words 
> about the main issues, i.e. multiple path establishment, path 
> selection, path redirection (this is my own classification of 
> the sub issues). This should draw a line between what we want 
> to do and site multihoming.
> 
> - added the monami6 would work on a solution to register 
> multiple CoAs and to exchange policies between the MN and the HA

> > > It all depends how you define multihoming, right ? In our case, I 
> > > think we make it clear in the draft (but we may state this on the 
> > > monami6 page
> > > >       Are we planning to touch similar problems with 
> the multi6 ?
> > > >       I guess
> > > > that definitely not.
> > > >       the title of ---multihoming---. So, I think that 
> it would be
> > > >       better to
> > > OK, we will try to make this clearer. Anyway, multi6 (you meant 
> > > shim6, I guess, because multi6 is not chartered to produce 
> > > solutions) is dealing with other multihoming issues.
> operating 
> > > MIP6 or NEMO BS which have multiple paths to their HA/CNs.
> > 
> > > >       Personally, I think that the solution for the 
> MIPv4 multiple
> > > >       interface
> > > Most (if not all) the people presently involved in this 
> BOF set up 
> > > don't have interest to work on MIP4 aspects.  We want to 
> concentrate 
> > > on the
> > > IPv6 case, which, according to me, is very important if 
> we want to 
> > > see a quick deployment of IPv6.
> > > 
> recommend 
> > > to consider bringing this issue in another WG or BOF. On 
> the other 
> > > hand, if we are succesful in setting up a WG, solutions may be 
> > > backported to MIP4 whenever applicable.
> > 
> > Yes, I understand.
> > 
> > > confusing, so our consensus (so far) is to point to the 
> draft where 
> > > the issues are explained. Also, our first interest is to discuss 
> > > such issues with more people, so writing this on the 
> charter may not 
> > > be a good idea at this point in time.
> > 
> > > > >> Junghoon >> Don't we need a separate problem 
> statement document
> > > > >about

---

From: "Junghoon Jee" <[email-masked]>
Date: Thu, 16 Jun 2005 09:15:32 +0900

Dear Thierry,

Regards,
--Junghoon

---

From: Chan-Wah Ng <[email-masked]>
Date: Mon, 20 Jun 2005 16:25:40 +0800

Hello Junghoon,

> clear state the difference with the work of multi6 through the charter.

You are correct, our main interest is on multiple interfaces, which is
one (out of many) form of multihoming.  However, these drafts are
initiated long before we had the intention of setting up a BoF, so the
drafts uses the more general term 'multihoming'.

The draft charter we had drawn out quite clearly specify that we will
focus on multiple interfaces.  My personal view is that only when in a
particular scenario, the effect of having multiple interfaces is
equivalent to multiple prefixes on a single interface, then we may
briefly touches the work on Shim6.

> terminals is urgently required in this time.

Good point ... but i don't know how many operators and vendors actually
roll out MIPv4?

Without doing a detail analysis, I would think most of the issues listed
in draft-montavont would apply to MIPv4 as well.  The difference is just
that you have a FA in MIP4.  So apart from having multiple interfaces,
an MN may have multiple FA as well.

> important to have this BoF.

These issues are clearly specified in the draft-montavont ... are you
suggesting we cite come of issues something along the line of:
 "such as multiple CoA registrations, using a home-address as a are-of
address ... "?

> different aims with the multi6 WG would be helpful.

Yes, this is the part where we try to draw the distinction between
Monami6 and Shim6.  I believe we have stated the aims of Monami6.  Are
you suggesting we should contrast it with the aims of shim6?

> multiple interface terminals/routers ?
Do you mean mobile terminals/routers?  Yes, but since NEMO WG has
already started working on a problem statement draft, there is no need
for monami6 to work on mobile routers again.

> >> Junghoon >> I can't quite understand what this means.

What this means is that certain issues identified may concern both
generic IPv6 node and mobile node.  In this cases, it might be necessary
to have certain level of collaborations between people from the relevant
WG (such as IPv6) and Monami6.

/rgds
/cwng

---

From: Chan-Wah Ng <[email-masked]>
Date: Mon, 20 Jun 2005 16:25:40 +0800

Hello Junghoon,

/rgds
/cwng

---

From: "Junghoon Jee" <[email-masked]>
Date: Mon, 20 Jun 2005 17:35:17 +0900

Hello Chan-Wah,
 
> You are correct, our main interest is on multiple interfaces, 
> which is one (out of many) form of multihoming.  However, 
> these drafts are initiated long before we had the intention 
> of setting up a BoF, so the drafts uses the more general term 
> 'multihoming'.

Yes, I get to understand that.

> > MIPv4 terminal and routers with MIPv6 nodes.
> >       Personally, I think that the solution for the MIPv4 multiple 
> > interface terminals is urgently required in this time.
> > 
> 
> Good point ... but i don't know how many operators and 
> vendors actually roll out MIPv4?

Currently, many commercial networks are actually using IPv4.
And in these days, I can easily find the needs for the mobile terminal with
multiple interfaces in the commercial environments using IPv4.
So personally, I hope that work about IPv4 can happen through the MONAMI WG.
But I understand that Thierry's opinion of focusing only to the MIPv6 and
NEMOv6. Up to this point, just my own hope.  :-)

> Without doing a detail analysis, I would think most of the 
> issues listed in draft-montavont would apply to MIPv4 as 
> well.  The difference is just that you have a FA in MIP4.  So 
> apart from having multiple interfaces, an MN may have 
> multiple FA as well.

I hope it works for the MIPv6 as well.

> contemplated scenarios.
> > This is the ability to connect to the Internet using multiple 
> > interfaces at a given point in time. This feature is used either to 
> > recover from failures, to enhance performance, or to meet 
> user or applications needs and policies.
> > issues. However, an overall problem statement has never 
> been produced, 
> > and independent solutions are focusing on only 1 or 2 
> issues at best.
> > 
> These issues are clearly specified in the draft-montavont ... 
> are you suggesting we cite come of issues something along the line of:
>  "such as multiple CoA registrations, using a home-address as 
> a are-of address ... "?

Yes,  I understand this. It becomes clear through the updated current
charter.

> Monami6 and Shim6.  I believe we have stated the aims of 
> Monami6.  Are you suggesting we should contrast it with the 
> aims of shim6?
>
 
It also becomes clear through the updated current charter. Thanks again for
the updating.

> Do you mean mobile terminals/routers?  Yes, but since NEMO WG 
> has already started working on a problem statement draft, 
> there is no need for monami6 to work on mobile routers again.

Hmm, so MONAMI should focus only for the multi-homing MIPv6 case ?

> What this means is that certain issues identified may concern 
> both generic IPv6 node and mobile node.  In this cases, it 
> might be necessary to have certain level of collaborations 
> between people from the relevant WG (such as IPv6) and Monami6.
> /rgds
> /cwng

Thank you for the explanation.

Regards,
Junghoon

---

From: "Junghoon Jee" <[email-masked]>
Date: Mon, 20 Jun 2005 17:35:17 +0900

Hello Chan-Wah,

 

Regards,
Junghoon

---

From: Chan-Wah Ng <[email-masked]>
Date: Mon, 20 Jun 2005 17:15:27 +0800

Hello Junghoon,

> NEMOv6. Up to this point, just my own hope.  :-)

Yes, most of the Internet are IPv4, but I don't see many MIPv4, part of
the reason being the address space constraint of IPv4.  The good thing
about MIPv6 is that it does not really require access network support
(no foreign agent needed).  So, I suspect MIPv6 will get far more
popular than MIPv4.  Which is also part of the reason why we would
rather stay with MIPv6.

> Yes,  I understand this. It becomes clear through the updated current

Due to my own configuration error, I only started reading all the past
mails on this list, and am responding as I read through them.  I am
sorry if I am repeating answers.

> Hmm, so MONAMI should focus only for the multi-homing MIPv6 case ?

Well depends on how monami6 evolve, and how NEMO WG reacts to Monami6.
My hopefully ideal case would be Monami6 BoF turns into WG at some point
in time, and the NEMO WG may transfer the multihoming work to the then
Monami6 WG.

/rgds
/cwng

---

From: Chan-Wah Ng <[email-masked]>
Date: Mon, 20 Jun 2005 17:15:27 +0800

Hello Junghoon,

/rgds
/cwng

---

From: Ryuji Wakikawa <[email-masked]>
Date: Mon, 20 Jun 2005 18:21:40 +0900

Hello Junghoon and Chan-Wah

On 2005/06/20, at 18:15, Chan-Wah Ng wrote:

>>>>       Do you have any special reason to confine this
>>>>
>>> interesting and
>>>

We have to think that there is no NEMOv4 spec now.
So discussion and problems will be slightly different between IPv4  
and IPv6.
However, we can decide IPv4 support based on the people's interest in  
the BOF.
I'm interested in IPv6 and want to ship the right spec
before industry launching MIP6/NEMO real services.
These multihoming issues should be solved ASAP.

regards,
ryuji

---

From: Nicolas Montavont <[email-masked]>
Date: Mon, 20 Jun 2005 09:02:56 -0400

Hi,

> These multihoming issues should be solved ASAP.

I fully agree with you. Including IPv4 support should be discussed 
during the BOF, we can add this to tha agenda.

>> in time, and the NEMO WG may transfer the multihoming work to the then
Yes, that would be the best scenario.

Nicolas

---

From: Nicolas Montavont <[email-masked]>
Date: Mon, 20 Jun 2005 09:02:56 -0400

Hi,

Nicolas